package com.om.service;

import com.om.entity.po.App;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.AppVO;
import com.om.entity.vo.DignosisPageVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-03-11
 */
public interface IAppService extends IService<App> {

    Result add(AppVO app);

    Result delete(Integer id);

    Result downloadFile(AppVO app);

    Result getPageList(Integer pageIndex,Integer pageSize,String username);

    Result edit(AppVO app);

    Result pushVCI(Integer id);
}
